<!DOCTYPE html>
<html>
<head>
	<title>Arrays and Objects</title>
</head>
<body>

	<p>
	<select name="zone" id="zone">
		<option value="1" id="Bagmati">Bagmati</option>
		<option value="2" id="Karnali">Karnali</option>
		<option value="3" id="Narayani">Narayani</option>
		<option value="4" id="Janakpur">Janakpur</option>
		<option value="5" id="Mechi">Mechi</option>
	</select>
	</p>
	<button onclick="switchData()">click</button>
	<p id="this"></p>



<script type="text/javascript">

	//switch-break function
	function switchData() {
		var zone=document.getElementById("zone");
		var opt=zone.options [zone.selectedIndex] .value; 

		/*if(opt=="2"){
			document.getElementById("this").innerHTML="Karnali";

		}

		else if(opt=="3"){
			document.getElementById("this").innerHTML="Narayani";

		}*/
		switch(opt){
			case "1":
			document.getElementById("this").innerHTML="Bagmati";
			break;
			
			case "2":
			document.getElementById("this").innerHTML="Karnali";
			break;
			
			case "3":
			document.getElementById("this").innerHTML="Narayani";
			break;
			
			case "4":
			document.getElementById("this").innerHTML="Janakpur";
			break;
			
			case "5":
			document.getElementById("this").innerHTML="Mechi";
			break;

			default:
			document.getElementById("this").innerHTML="select";
			break;
		}
	}





	//arrays
	document.write("these are arrays: <br>")

	var boys= new Array("Ram"," Shyam"," Hari");
	document.write(boys,"<br>");
	document.write(boys[2],"<br>");

	//objects
	document.write("these are objects: <br>");

	var Ram={firstname:"Ram", middlename:"Bahadur", lastname:"Shrestha", Address:"Bhaktapur"}
	document.write("This is ", Ram.firstname, " ", Ram.middlename, " ", Ram.lastname, " from ", Ram.Address, ". <br>");
</script>
</body>
</html>